3rd Party Library and Application Versions
------------------------------------------

USD relies on an ecosystem of libraries and applications. This page outlines
the versions of these libraries used and tested against at Pixar.

Note that not everything here is required, see README.md for more information
about which are required and which are optional for the various subsystems.

## Tested

Our test machines have the following software versions installed

| Software      | Linux                | macOS                        | Windows                        |
| ------------- | -------------------- | ---------------------------- | ------------------------------ |
| OS            | CentOS Linux 7       | 10.15.7                      | Windows 10                     |
| C++ Compiler  | gcc 6.3.1            | Apple clang 12.0.0 (Xcode 12.4) | Visual Studio 2017 15.9     |
| CMake         | 3.14.6               | 3.19.5                       | 3.16.5                         |
| Python        | 3.6.8                | 3.7.7                        | 3.7.4, 3.8.10                  |
| Boost         | 1.70.0               | 1.76.0                       | 1.70.0                         |
| Intel TBB     | 2019 Update 6        | 2018 Update 1, 2019 Update 6 | 2019 Update 6                  |
| OpenSubdiv    | 3.5.0                | 3.5.0                        | 3.5.0                          |
| OpenImageIO   | 2.1.16.0             | 2.3.15.0                     | 2.1.16.0                       |
| OpenColorIO   | 1.1.0                | 1.1.0                        | 1.1.0                          |
| OSL           | 1.10.9               |                              |                                |
| Ptex          | 2.3.2                | 2.1.33                       | 2.1.33                         |
| Qt for Python | PySide2 5.14.1       | PySide6 6.3.1                | PySide2 5.14.1                 |
| PyOpenGL      | 3.1.5                | 3.1.5                        | 3.1.5                          |
| Embree        | 3.2.2                | 3.13.3                       | 3.2.2                          |
| RenderMan     | 24.4, 25.0           | 24.4, 25.0                   | 24.4, 25.0                     |
| Alembic       | 1.7.10               | 1.8.3                        | 1.7.10                         |
| OpenEXR       | 2.4.3                | 2.4.3                        | 2.5.2                          |
| MaterialX     | 1.38.7               | 1.38.7                       | 1.38.7                         |
| Jinja2        | 2.0                  |                              |                                |
| Flex          | 2.5.39               |                              |                                |
| Bison         | 2.4.1                |                              |                                |
| Doxygen       | 1.8.14               |                              |                                |
| GraphViz      | 2.40.1               |                              |                                |
| OpenVDB       | 7.1.0                | 7.1.0                        | 7.1.0                          |
| Vulkan SDK    | 1.2.135.0            | 1.2.135.0                    | 1.2.135.0                      |
| Draco         | 1.3.6                | 1.3.6                        | 1.3.6                          |
